Skip to main content
`Ctrl`+`K`

# PetscTokenCreate

Creates a `PetscToken` used to find tokens in a string

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscTokenCreate(const char a[], char b, PetscToken *t)

Not Collective; No Fortran Support

## Input Parameters

- a - the string to look in

- b - the separator character

## Output Parameter

- t - the token object

## Note

This version is different from the system version in that it allows you to pass a read-only string into the function.

## See Also

`PetscToken`, `PetscTokenFind()`, `PetscTokenDestroy()`

## Level

intermediate

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages